# Update of the ASN.1 file

The following steps shall be followed to update the ASN.1 file in TS 103 666-3:
1. CR is accepted by SCP Plenary which modifies any of the ASN.1 snippets in TS 103 666-3.
2. Implement the CR(s) in a new draft of the specification to be published.
3. Generate complete ASN.1 file from the draft of the specification. This can be performed using the related tool.
4. Make sure that the generated ASN.1 file compiles successfully using any ASN.1 compiler.
5. Submit generated ASN.1 file to Git repository. CR number and SCP document number shall be mentioned in the commit message.
    <To be confirmed> in Repository->Tag, create a tag for the targetted version
6. select the file in Git and click "permalink" to have an url including the sha of the commit
7. Update Annex C.2 in the draft of TS 103 666-3 with Git link to updated ASN.1 file.
    <To be confirmed> Create the url replaceing "gitlab by "rep" for example:
    “https://forge.etsi.org/gitlab/scp/ts_103666-3_essp_type1/raw/v0.2.0/asn1/asn1_syntax.asn1”, will become
    “https://forge.etsi.org/rep/scp/ts_103666-3_essp_type1/raw/v0.2.0/asn1/asn1_syntax.asn1”
8. Start publication process of the new version of TS 103 666-3.

**Important:** the ASN.1 file shall always be generated from the complete specification and not making changes to the ASN.1 file present in the Git repository.
